Subject: bug#36155: 26.2.50; crash on printing thread with print-circle = t

From: Paul Eggert <[email-masked]>
Date: Sun, 9 Jun 2019 17:45:56 -0700

On 6/9/19 5:02 PM, Juanma Barranquero wrote:
> That's weird, as it doesn't seem like it should depend on anything
> windowsy... (but who knows).
>
> I'm configuring with --enable-checking=yes and -DGC_MCHECK=1 btw.
>
> I don't get the crash in the current trunk, only the current release branch.

Yes, I was using the emacs-26 branch too. However, I'm not using 
-DGC_MCHECK as it does not work at all on Fedora; I don't know why and I 
have no plans to look into it as GC_MCHECK is an obsolete hack (people 
should be using gcc -fsanitize=address in the master branch). So, I 
suggest that you stop using -DGC_MCHECK on MS-Windows and see whether 
that fixes your problem.